# Syntax
Keywords: patterns

From a user point of view, `Pattern` method is a pattern description language using all standard Python facilities. Here follows the description of the `Pattern` method.
A pat format file can be divided in two parts : declaration and description part.
The declaration part is the list of inputs, outputs, internal signals and registers. Inputs are to be forced to a certain value and all the others are to be observed during simulation.
The description part is a set of patterns, where each pattern defines the value of inputs and outputs. The pattern number represents actually the absolute time for the simulator.
Similarly, a `Pattern` method can be divided in two parts : declaration and description part. Methods related to the declaration must be called before any function related to the description part.

Subsections

- Declaration part
- Description part